GNU bug report logs - #36735
gnus-topic-mode clobbers gnus-group-change-level-function

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: dick <priapushk@HIDDEN>; merged with #36737; dated Sat, 20 Jul 2019 03:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36735 <at> debbugs.gnu.org:


Received: (at 36735) by debbugs.gnu.org; 26 Jul 2019 21:36:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 26 17:36:16 2019
Received: from localhost ([127.0.0.1]:43431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hr7st-0006nE-W8
	for submit <at> debbugs.gnu.org; Fri, 26 Jul 2019 17:36:16 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:33152
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>)
 id 1hr7ss-0006mv-92; Fri, 26 Jul 2019 17:36:15 -0400
Received: from localhost (c-73-254-86-141.hsd1.wa.comcast.net [73.254.86.141])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id A0C71FA099;
 Fri, 26 Jul 2019 21:36:06 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: 36735 <at> debbugs.gnu.org 
Subject: Re: bug#36735: 25.1; gnus-topic-mode clobbers
 gnus-group-change-level-function
References: <87d0i5pk13.fsf@HIDDEN>
Date: Fri, 26 Jul 2019 14:36:05 -0700
In-Reply-To: <87d0i5pk13.fsf@HIDDEN>
 (dick's message of "Fri, 19 Jul 2019 21:33:12 -0400")
Message-ID: <87zhl0bhru.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36735
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 36735 36736 36737
quit

dick <priapushk@HIDDEN> writes:

> emacs -Q --batch -l gnus --eval "(setq gnus-init-inhibit t)" --eval "(setq gnus-current-select-method t)" --eval "(setq gnus-batch-mode t)" --eval "(custom-set-variables '(gnus-startup-file \"/dev/null\") '(gnus-read-newsrc-file nil) '(gnus-select-method (quote (nnnil))) '(gnus-group-change-level-function (lambda (&rest args) (setq foo t))) '(gnus-always-read-dribble-file t) '(gnus-use-dribble-file nil))" --eval "(gnus nil t nil)" --eval "(setq foo nil)" --eval "(gnus-topic-mode)" --eval "(funcall gnus-group-change-level-function \"dummy\" 3 9)" --eval "(cl-assert foo)"

You'll probably need to provide a little more background here before
anyone can help you. I understand that you want Gnus' topic mode to
behave differently than it does, but the whole thing has its own logic,
and changing one bit of that general logic to serve a particular
use-case that you haven't really explained isn't going to motivate
anyone to apply your patch. Not to mention that the patch stands a good
chance of breaking other people's customizations. I previously suggested
you use the gnus-topic-mode-hook to achieve what you want -- did you try
that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36735; Package emacs. Full text available.
Merged 36735 36737. Request was from dick <dick.r.chiang@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #36735 from all other report(s). Request was from dick <dick.r.chiang@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'gnus-topic-mode clobbers gnus-group-change-level-function' from '25.1; gnus-topic-mode clobbers gnus-group-change-level-function' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36735 36736 36737. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36735 36736. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jul 2019 03:04:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 19 23:04:17 2019
Received: from localhost ([127.0.0.1]:56691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoffU-000744-EY
	for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 23:04:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:57488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <priapushk@HIDDEN>) id 1hoeFV-000500-Pw
 for submit <at> debbugs.gnu.org; Fri, 19 Jul 2019 21:33:22 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44738)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <priapushk@HIDDEN>) id 1hoeFT-00050a-Jv
 for bug-gnu-emacs@HIDDEN; Fri, 19 Jul 2019 21:33:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <priapushk@HIDDEN>) id 1hoeFR-0000BY-Ik
 for bug-gnu-emacs@HIDDEN; Fri, 19 Jul 2019 21:33:19 -0400
Received: from mail-qt1-x836.google.com ([2607:f8b0:4864:20::836]:47033)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <priapushk@HIDDEN>) id 1hoeFR-0000B7-BR
 for bug-gnu-emacs@HIDDEN; Fri, 19 Jul 2019 21:33:17 -0400
Received: by mail-qt1-x836.google.com with SMTP id h21so32950978qtn.13
 for <bug-gnu-emacs@HIDDEN>; Fri, 19 Jul 2019 18:33:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=LraWS0O21Qu/iqYJ6sfjgldLpHrNCjy50UrezmTpzkc=;
 b=hNY8HJvhmwyeEl3wbH0ncXDGiYLYKn2Oy992TnXF97+jkiCc/m4Qb39KiqwcmjfOT3
 i1ussP1KL9TUYJ309MjQnFUm/YNnx+ACk5IHZ2zT5R4hxQ01F27jRCRdVJH1mV7u0vYC
 Mm4XetH5rn5DYv2LIVL4fBsx7TzKPBFFPm/6VRMDIWDb5OkkhsbFNgMpc+2ZRxa7DNeL
 6TdBcbZUzOIe813OdUTKtde0XrdhvhKdfQgKRIKXYHEu7e2xeMMJXgaiIsS/alr7preP
 JhholKjNkncOQxA08yz5EngTs80V82+2ZoipUYiE8DY7sypu65BfVURaOi9wNqOALlKS
 kXeA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=LraWS0O21Qu/iqYJ6sfjgldLpHrNCjy50UrezmTpzkc=;
 b=j1/+eFz3mMm+ioB6ivL4xOh2U98jqrtmvXJqwy9HYBs2DTGss4TjFubbfxTyDEDdHI
 8SnBTAqQ7T2jESq8kBE4oT1WHaFE4KQObfABvUSDwFYn63CktTe0nwb7/tmenxgRj8xx
 InvxoeL2P0X3fzRAilHomXlQMseqUnB4cQYgTl23wHtsoOdBDsycULKOqxUODm4hAB4G
 ZetTh11qaJus1NFJZPDfzudDF0VSoXPBCw0OH2+RL0onwdJXwctOHLzZ8t+Ax0i1xdB4
 U8u3w0Y1iwa8ipjg/u764PYH7ZIfeMGbahgp5KXS1cUClKgOi4neUFxp+E3rS/aBBoXo
 dumQ==
X-Gm-Message-State: APjAAAVqpgDP6uPUyJ9fs5Qo5SXTtKhEjKZMJhwdzkLmW1yVbgF9YIKG
 KhECMk1A+nHsvV5L42mzfoif9mG5
X-Google-Smtp-Source: APXvYqyJXlRz8Ifp61PGEUoFGtsxRjTFJeEOvg9PuZ3vfbujM3LIwkrIup64TMh7YQF69V1EQSk5/Q==
X-Received: by 2002:ac8:7a9a:: with SMTP id x26mr40140996qtr.251.1563586394569; 
 Fri, 19 Jul 2019 18:33:14 -0700 (PDT)
Received: from localhost ([100.33.98.8])
 by smtp.gmail.com with ESMTPSA id h4sm14931247qkk.39.2019.07.19.18.33.13
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 19 Jul 2019 18:33:13 -0700 (PDT)
From: dick <priapushk@HIDDEN>
X-Google-Original-From: dick <dick.r.chiang@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; gnus-topic-mode clobbers gnus-group-change-level-function
Date: Fri, 19 Jul 2019 21:33:12 -0400
Message-ID: <87d0i5pk13.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::836
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 19 Jul 2019 23:04:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


emacs -Q --batch -l gnus --eval "(setq gnus-init-inhibit t)" --eval "(setq gnus-current-select-method t)" --eval "(setq gnus-batch-mode t)" --eval "(custom-set-variables '(gnus-startup-file \"/dev/null\") '(gnus-read-newsrc-file nil) '(gnus-select-method (quote (nnnil))) '(gnus-group-change-level-function (lambda (&rest args) (setq foo t))) '(gnus-always-read-dribble-file t) '(gnus-use-dribble-file nil))" --eval "(gnus nil t nil)" --eval "(setq foo nil)" --eval "(gnus-topic-mode)" --eval "(funcall gnus-group-change-level-function \"dummy\" 3 9)" --eval "(cl-assert foo)"



In GNU Emacs 25.1.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-12-20 built on lgw01-21
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.5 LTS

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs25:/etc/emacs:/usr/local/share/emacs/25.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 --with-xwidgets=yes 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: 
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  pyvenv-mode: t
  paredit-mode: t
  recentf-mode: t
  global-company-mode: t
  company-mode: t
  show-paren-mode: t
  global-magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  global-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  flx-ido-mode: t
  ido-everywhere: t
  projectile-mode: t
  override-global-mode: t
  global-hl-line-mode: t
  winner-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
20190719T202359.625> No more newsgroups
Mark set
Mark saved where search started
my-msmtp-get
Mark set
Saving file /home/dick/.gnus...
Wrote /home/dick/.gnus
((lambda nil "From address keyed off msmtp config if gnus-newsgroup-name in effect." (let* (... ... ...) (if ... nil ...))) (lambda nil "From address keyed off msmtp config if gnus-newsgroup-name in effect." (let* (... ... ...) (message "what %s %s" ... apropos-from) (if ... nil ...))))
(No changes need to be saved)
C-x C-g is undefined

Load-path shadows:
/home/dick/ESS/lisp/ess-custom hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-custom
/home/dick/ESS/lisp/essd-els hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/essd-els
/home/dick/ESS/lisp/ess-jags-d hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-jags-d
/home/dick/ESS/lisp/ess-tracebug hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-tracebug
/home/dick/ESS/lisp/ess-help hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-help
/home/dick/ESS/lisp/ess-mode hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-mode
/home/dick/ESS/lisp/ess-r-completion hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-r-completion
/home/dick/ESS/lisp/ess-r-xref hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-r-xref
/home/dick/ESS/lisp/ess-bugs-d hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-bugs-d
/home/dick/ESS/lisp/ess-r-flymake hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-r-flymake
/home/dick/ESS/lisp/ess-rdired hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-rdired
/home/dick/ESS/lisp/ess-sas-a hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-sas-a
/home/dick/ESS/lisp/ess-inf hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-inf
/home/dick/ESS/lisp/ess-rutils hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-rutils
/home/dick/ESS/lisp/ess-utils hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-utils
/home/dick/ESS/lisp/ess-sas-d hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-sas-d
/home/dick/ESS/lisp/ess-sas-l hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-sas-l
/home/dick/ESS/lisp/ess-gretl hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-gretl
/home/dick/ESS/lisp/ess-site hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-site
/home/dick/ESS/lisp/ess-rd hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-rd
/home/dick/ESS/lisp/ess-s-lang hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-s-lang
/home/dick/ESS/lisp/ess-roxy hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-roxy
/home/dick/ESS/lisp/ess hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess
/home/dick/ESS/lisp/ess-trns hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-trns
/home/dick/ESS/lisp/ess-sp6-d hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-sp6-d
/home/dick/ESS/lisp/mouseme hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/mouseme
/home/dick/ESS/lisp/ess-mouse hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-mouse
/home/dick/ESS/lisp/ess-autoloads hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-autoloads
/home/dick/ESS/lisp/ess-r-mode hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-r-mode
/home/dick/ESS/lisp/julia-mode hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/julia-mode
/home/dick/ESS/lisp/ess-julia hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-julia
/home/dick/ESS/lisp/ess-stata-lang hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-stata-lang
/home/dick/ESS/lisp/make-regexp hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/make-regexp
/home/dick/ESS/lisp/ess-r-syntax hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-r-syntax
/home/dick/ESS/lisp/ess-stata-mode hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-stata-mode
/home/dick/ESS/lisp/ess-r-package hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-r-package
/home/dick/ESS/lisp/ess-toolbar hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-toolbar
/home/dick/ESS/lisp/ess-bugs-l hides /home/dick/.emacs.d/elpa/ess-18.10.2snapshot/ess-bugs-l
/home/dick/ESS/lisp/julia-mode hides /home/dick/.emacs.d/elpa/julia-mode-20190407.2119/julia-mode
/home/dick/ESS/lisp/julia-latexsubs hides /home/dick/.emacs.d/elpa/julia-mode-20190407.2119/julia-latexsubs
/usr/share/emacs/25.1/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/25.1/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/25.1/site-lisp/dictionaries-common/debian-ispell hides /usr/share/emacs/site-lisp/dictionaries-common/debian-ispell
/usr/share/emacs/25.1/site-lisp/global/gtags hides /usr/share/emacs/site-lisp/global/gtags
/usr/share/emacs/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/25.1/lisp/textmodes/flyspell
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/25.1/lisp/textmodes/rst
/usr/share/emacs/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/25.1/lisp/textmodes/ispell
/home/dick/.emacs.d/elpa/scala-mode-20170802.432/ob-scala hides /usr/share/emacs/25.1/lisp/org/ob-scala
/home/dick/.emacs.d/elpa/let-alist-1.0.5/let-alist hides /usr/share/emacs/25.1/lisp/emacs-lisp/let-alist

Features:
(pp shadow emacsbug sendmail gnus-html url-cache shr-color misearch
multi-isearch nnfolder canlock flyspell ispell footnote qp sort smiley shr dom
browse-url mm-archive mail-extr gnus-async gnus-dup gnus-ml disp-table
gnus-topic utf-7 network-stream nsm starttls nnreddit virtualenvwrapper gud
mm-url json-rpc es-mode url-handlers js sgml-mode cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs yasnippet elpy
find-file-in-project ivy delsel colir color ivy-overlay ffap windmove
elpy-shell pyvenv esh-var esh-io esh-cmd esh-opt esh-ext esh-proc esh-arg
esh-groups eshell esh-module esh-mode esh-util elpy-profile elpy-django s
elpy-refactor files-x python tramp-sh tramp tramp-compat tramp-loaddefs
trampver ucs-normalize gnus-bcklg gnus-cite nnnil nnir gnus-demon nnmairix
nnml gnus-delay gnus-draft gnus-agent gnus-srvr gnus-score score-mode
nnvirtual nntp gnus-cache gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
smime dig gnus-sum nndraft nnmh gnus-group gnus-undo use-package
use-package-delight use-package-diminish gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo parse-time gnus-spec gnus-int gnus-range gnus-win
paredit-ext paredit company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-files company-capf
company-cmake company-xcode company-semantic company-eclim company-template
company-css company-nxml company-bbdb company-c-headers sx recentf tree-widget
key-combo company haskell-interactive-mode haskell-presentation-mode
haskell-process haskell-session haskell-compile haskell-mode haskell-cabal
haskell-utils haskell-font-lock haskell-indentation haskell-string
haskell-sort-imports haskell-lexeme haskell-align-imports haskell-compat
haskell-complete-module haskell-ghc-support flymake etags xref project dabbrev
haskell-customize hydra lv paren magit-submodule magit-obsolete magit-popup
magit-blame magit-stash magit-reflog magit-bisect magit-push magit-pull
magit-fetch magit-clone magit-remote magit-commit magit-sequence magit-notes
magit-worktree magit-tag magit-merge magit-branch magit-reset magit-files
magit-refs magit-status magit magit-repos magit-apply magit-wip magit-log
which-func imenu magit-diff smerge-mode diff-mode magit-core magit-autorevert
autorevert filenotify magit-margin magit-transient magit-process magit-mode
transient git-commit magit-git magit-section magit-utils crm log-edit message
dired rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader pcvs-util add-log
with-editor async-bytecomp async shell server dash flx-ido flx ido
solarized-theme solarized-definitions projectile ibuf-ext ibuffer thingatpt
grep compile gnus gnus-ems nnheader cus-edit cus-start cus-load wid-edit
use-package-bind-key bind-key org-gcal org-archive org-element org org-macro
org-footnote org-pcomplete pcomplete org-list org-faces org-entities noutline
outline easy-mmode org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-src ob-keys ob-comint comint ansi-color ob-core ob-eval
org-compat org-macs org-loaddefs format-spec find-func cal-menu calendar
cal-loaddefs request-deferred deferred subr-x request mail-utils json map
alert log4e notifications dbus gntp use-package-ensure twittering-mode epa
derived epg tls gnutls url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse auth-source eieio
eieio-core gnus-util mm-util help-fns mail-prsvr password-cache url-vars
mailcap advice xml cl cl-macs cl-seq use-package-core hl-line winner ring
edmacro kmacro rx json-reformat-autoloads json-snatcher-autoloads finder-inf
sml-mode-autoloads tornado-template-mode-autoloads info package epg-config seq
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces cus-face
macroexp files text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting xwidget-internal
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 797569 77634)
 (symbols 48 62898 3)
 (miscs 40 1859 3099)
 (strings 32 172881 24031)
 (string-bytes 1 5778327)
 (vectors 16 84544)
 (vector-slots 8 1471157 31429)
 (floats 8 3264 963)
 (intervals 56 3521 488)
 (buffers 976 112)
 (heap 1024 84493 17848))




Acknowledgement sent to dick <priapushk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36735; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 26 Jul 2019 21:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.